org.apache.myfaces.trinidad.bean.util

## Class ValueMap

- java.lang.Object
- - java.util.AbstractMap<String,Object>
  - - org.apache.myfaces.trinidad.bean.util.ValueMap

- All Implemented Interfaces:
    Map<String,Object>

      public class ValueMap
      extends AbstractMap<String,Object>

  Map implementation that exposes the properties of a FacesBean as a Map. This Map supports Iterator.remove(), treats putting a null value as identical to removing the value, but does not support null keys. The keys may be either Strings or `PropertyKey`s, but all Map.Entry objects will return String keys.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueMap(FacesBean bean)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)` Override for better performance
    `Set<Map.Entry<String,Object>>` | `entrySet()`
    `Object` | `get(Object key)`
    `Object` | `put(String key, Object value)`
    `Object` | `remove(Object key)`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, isEmpty, keySet, putAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueMap

          public ValueMap(FacesBean bean)

  - ### Method Detail

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map<String,Object>`
      Overrides:
        `get` in class `AbstractMap<String,Object>`

    - #### put

          public Object put(String key,
                   Object value)

      Specified by:
        `put` in interface `Map<String,Object>`
      Overrides:
        `put` in class `AbstractMap<String,Object>`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map<String,Object>`
      Overrides:
        `remove` in class `AbstractMap<String,Object>`

    - #### containsKey

          public boolean containsKey(Object key)

      Override for better performance
      Specified by:
        `containsKey` in interface `Map<String,Object>`
      Overrides:
        `containsKey` in class `AbstractMap<String,Object>`
      Parameters:
        `key` -
      Returns:

    - #### entrySet

          public Set<Map.Entry<String,Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,Object>`
      Specified by:
        `entrySet` in class `AbstractMap<String,Object>`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.